Bug 740885 - [ipa webui] In adder_dialog, no error indicated when choosing to enroll without selecting an object
Summary: [ipa webui] In adder_dialog, no error indicated when choosing to enroll witho...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-23 16:11 UTC by Namita Soman
Modified: 2011-12-06 18:32 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.2-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: When no Host in a Web UI HBAC Rule Accessing section Add Host dialog box is chosen and Enroll button is clicked, no action is done and user receives no error Consequence: The Web UI may not behave according to user expectation if he did not choose a Host in the dialog box by mistake Fix: Disable the Enroll button until a Host is chosen Result: User can only click the Enroll button when he actually has a chosen Host to Enroll
Clone Of:
Environment:
Last Closed: 2011-12-06 18:32:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Namita Soman 2011-09-23 16:11:52 UTC
Description of problem:
For an HBAC rule, you can choose to add a Host in "Accessing" section. Click on 'Enroll' without selecting any host, and no error is thrown to indicate that a host was not selected to be enrolled.

Same behaviour seen in other areas where adder dialog used.

Version-Release number of selected component (if applicable):
ipa-server-2.1.1-4.el6.x86_64


How reproducible:
always

Steps to Reproduce:
1. Add and edit HBAC rule
2. Go to its Accessing section, and click to Add a Host
3. Click 'Enroll' without selecting a host
  
Actual results:
you are brought back to the HBAC rule settings page

Expected results:
An error to indicate that no host was selected to be enrolled

Additional info:

Comment 2 Rob Crittenden 2011-09-23 17:34:15 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1856

Comment 5 Namita Soman 2011-10-11 14:34:38 UTC
Verified using ipa-server-2.1.2-2.el6.x86_64
Enroll button is disabled till entries are selected and moved to 'Prospective' column

Comment 6 Martin Kosek 2011-11-01 08:53:56 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: When no Host in a Web UI HBAC Rule Accessing section Add Host dialog box is chosen and Enroll button is clicked, no action is done and user receives no error
Consequence: The Web UI may not behave according to user expectation if he did not choose a Host in the dialog box by mistake
Fix: Disable the Enroll button until a Host is chosen
Result: User can only click the Enroll button when he actually has a chosen Host to Enroll

Comment 7 errata-xmlrpc 2011-12-06 18:32:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.